# SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/cec/cec-common.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: HDMI CEC Adapters Common Properties

maintainers:
  - Hans Verkuil <hverkuil@kernel.org>

properties:
  $nodename:
    pattern: "^cec(@[0-9a-f]+|-[0-9]+)?$"

  hdmi-phandle:
    $ref: /schemas/types.yaml#/definitions/phandle
    description:
      Phandle to the HDMI controller.

  needs-hpd:
    type: boolean
    description:
      The CEC support is only available when the HPD is high. Some boards only
      let the CEC pin through if the HPD is high, for example if there is a
      level converter that uses the HPD to power up or down.

additionalProperties: true
